<?php

namespace App\Filament\Resources\Professeurs\Schemas;

use Filament\Forms\Components\DatePicker;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class ProfesseurForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('nomar')
                    ->required(),
                TextInput::make('nomfr')
                    ->required(),
                TextInput::make('matricule')
                    ->required(),
                TextInput::make('nni')
                    ->required(),
                DatePicker::make('date_naissance')
                    ->required(),
                DatePicker::make('date_recritement')
                    ->required(),
                TextInput::make('lieu_naissance_ar')
                    ->required(),
                TextInput::make('lieu_naissance_fr')
                    ->required(),
                TextInput::make('discipline_origine')
                    ->required(),
                TextInput::make('contact')
                    ->required(),
                TextInput::make('statut_id')
                    ->required()
                    ->numeric(),
                TextInput::make('cycle_id')
                    ->required()
                    ->numeric(),
                TextInput::make('photo')
                    ->required(),
            ]);
    }
}
